# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%global libmajor 2

Summary:       POSIX threads C++ access library
Name:          clthreads
Version:       2.4.0
Release:       alt1_10
License:       LGPLv2+
Group:         System/Libraries
URL:           http://kokkinizita.linuxaudio.org/linuxaudio/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Source44: import.info

%description
Clthreads is a C++ wrapper library around the POSIX threads API.

%package  devel
Summary:       Development files for %{name}
Group:         Development/C
Requires:      %{name} = %{version}-%{release}

%description devel
Clthreads is a C++ wrapper library around the POSIX threads API. This package
contains libraries and header files for developing applications that use
%{name}.

%prep
%setup -q

# No need to call ldconfig during packaging
sed -i '\|/sbin/ldconfig|d' Makefile

# Preserve timestamps
sed -i 's|/install|/install -p|' Makefile
# fix romlint warnings BZ#751466
sed -i -e 's|-lpthread|-lpthread -lrt|' -e 's! -shared ! -Wl,--as-needed\0!g' Makefile

%build
export CPPFLAGS="%{optflags}"
make %{?_smp_mflags} 

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
make PREFIX=%{buildroot}%{_prefix} LIBDIR=%{_lib} install

# create .so.x link
ln -s lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so.%{libmajor}

%files
%doc AUTHORS COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.4.0-alt1_10
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.4.0-alt1_9
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 2.4.0-alt1_8
- fc import

